opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvFuzzyFunction Class Reference

`#include <contrib.hpp>`

## Public Member Functions
void | addCurve (CvFuzzyCurve *curve, double value=0)
double | calcValue ()
| CvFuzzyFunction ()
CvFuzzyCurve * | newCurve ()
void | resetValues ()
| ~CvFuzzyFunction ()

## Public Attributes
std::vector< CvFuzzyCurve > | curves

## Constructor & Destructor Documentation

CvFuzzyFunction::CvFuzzyFunction | ( |  | ) |

CvFuzzyFunction::~CvFuzzyFunction | ( |  | ) |

## Member Function Documentation

void CvFuzzyFunction::addCurve | ( | CvFuzzyCurve * | curve,
|  | double | value = `0`
| ) |  |

double CvFuzzyFunction::calcValue | ( |  | ) |

CvFuzzyCurve* CvFuzzyFunction::newCurve | ( |  | ) |

void CvFuzzyFunction::resetValues | ( |  | ) |

## Member Data Documentation

std::vector<CvFuzzyCurve> CvFuzzyFunction::curves

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp